# LilyGo HiGrow ESP32 Plant Monitoring Sensor with MQTT

Firmware for Hardware v1 (without light sensor).

This is a fork of  https://github.com/mongoose-os-apps/LilyGo-HiGrow-Sensor-v1.git.
Added MQTT and power saving features.

<p align="center">
  <img src="https://gitea.pmpark.de/dirk/LiliyGo-HiGrow-Sensor/raw/branch/master/LilyGO_HiGrow_Rev1_PhotoFrontHiGrow.jpg" width="60%">
</p>

## Differences
- This codebase focuses on the v1 hardware, which does not have a light sensor.
- RPC support included
- Device id's are not tracked and sent to HiGrow's cloud at https://api.higrow.tech/api/records
- MQTT support added
- Configurability of frequency of measurement
- Bluetooth made optional
- Power saving mode (deep sleep)

## Overview
- Use this code with [MongooseOS](https://mongoose-os.com/) and the LilyGo HiGrow ESP32 Plant Monitoring Sensor v1.0 board to obtain sensor readings and control LED's
- Boards can be purchased directly from LilyGo on [AliExpress](https://www.aliexpress.com/item/ESP32-WIFI-Bluetooth-battery-soil-Moisture-Senson-DHT/32815782900.html)

## HiGrow's Officially Supported Repo
- Luca's officially supported repo is located at https://github.com/mongoose-os-apps/lilygo-higrow-soil-temp-humi-sensor, please consider supporting his work over there.
- Set your device `bt_devname` in the **mos.yml** file. In order for it to work with the HiGrow app, each name should start with "Higrow". According to HiGrow, this will be fixed in a future release.
- Visit http://www.higrow.tech/en/ more info on the HiGrow project.

## How to install this app using MongooseOS

- Install and start [mos tool](https://mongoose-os.com/software.html)
- Switch to the Project page, find and import this app, build and flash it:

<p align="center">
  <img src="https://mongoose-os.com/images/app1.gif" width="75%">
</p>

## Configuration

config_schema:
  - ["higrow", "o", {title: "LilyGo HiGrow ESP32 Plant Sensor v1 App Settings"}]
  - ["higrow.deviceId", "s", "", {title: "DeviceId"}]
  - ["higrow.send_mqtt", "b", true, {title: "Send data using MQTT"}]
  - ["higrow.send_http", "b", false, {title: "Send data using HTTP"}]
  - ["higrow.send_http_url", "s", "http://example.org/what/ever", {title: "Send data using HTTP"}]
  - ["higrow.sample_time", "i", 300, {title: "Take a sample after that amount of seconds"}]
  - ["higrow.wait_after_last_action_before_sleep", "i", 10, {title: "Wait this number of seconds before we go into deep sleep"}]

  To change the configuration it is recommended to use either UART or MQTT communications.
  